> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an agreement

> Update an agreement



## OpenAPI

````yaml PUT /schedule/v1/agreements/{agreementId}
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /schedule/v1/agreements/{agreementId}:
    put:
      tags:
        - Agreements
      summary: Update an agreement
      description: Update an agreement
      operationId: UpdateAgreement
      parameters:
        - in: path
          name: agreementId
          description: Agreement UUID
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Data to update an agreement
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Agreement name
                code:
                  type: string
                  description: Agreement code
                color:
                  type: string
                  description: Color of agreement
                annualHours:
                  type: number
                  format: int
                  description: Annual hours
              required:
                - name
                - code
                - color
                - annualHours
      responses:
        '200':
          description: Agreement updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````